<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="unionwiced__bt__avrc__msg__t" kind="union" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_msg_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="unionwiced__bt__avrc__msg__t_1a03e7f6456d41043549ef1c97f66e0c41" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__hdr__t">wiced_bt_avrc_hdr_t</ref></type>
        <definition>wiced_bt_avrc_hdr_t wiced_bt_avrc_msg_t::hdr</definition>
        <argsstring />
        <name>hdr</name>
        <briefdescription>
<para>Message header. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="919" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="919" />
      </memberdef>
      <memberdef id="unionwiced__bt__avrc__msg__t_1a2b4bf6ede10e0227aa8efa73e81a1500" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__msg__unit__t">wiced_bt_avrc_msg_unit_t</ref></type>
        <definition>wiced_bt_avrc_msg_unit_t wiced_bt_avrc_msg_t::unit</definition>
        <argsstring />
        <name>unit</name>
        <briefdescription>
<para>UNIT INFO message (opcode AVRC_OP_UNIT_INFO) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="920" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="920" />
      </memberdef>
      <memberdef id="unionwiced__bt__avrc__msg__t_1a1c2b7d16cafcc034a330c2abe1045b40" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__msg__sub__t">wiced_bt_avrc_msg_sub_t</ref></type>
        <definition>wiced_bt_avrc_msg_sub_t wiced_bt_avrc_msg_t::sub</definition>
        <argsstring />
        <name>sub</name>
        <briefdescription>
<para>SUBUNIT INFO message (opcode AVRC_OP_SUB_INFO) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="921" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="921" />
      </memberdef>
      <memberdef id="unionwiced__bt__avrc__msg__t_1ac913105f7a514a2153163bd7232f3339" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__msg__vendor__t">wiced_bt_avrc_msg_vendor_t</ref></type>
        <definition>wiced_bt_avrc_msg_vendor_t wiced_bt_avrc_msg_t::vendor</definition>
        <argsstring />
        <name>vendor</name>
        <briefdescription>
<para>VENDOR DEPENDENT message (opcode AVRC_OP_VENDOR) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="922" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="922" />
      </memberdef>
      <memberdef id="unionwiced__bt__avrc__msg__t_1adb94f8496b6e715f475b2eb7d88e3555" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__msg__pass__t">wiced_bt_avrc_msg_pass_t</ref></type>
        <definition>wiced_bt_avrc_msg_pass_t wiced_bt_avrc_msg_t::pass</definition>
        <argsstring />
        <name>pass</name>
        <briefdescription>
<para>PASS THROUGH message (opcode AVRC_OP_PASS_THRU) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="923" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="923" />
      </memberdef>
      <memberdef id="unionwiced__bt__avrc__msg__t_1ab3a366b00115394ad99091eee48dd9a2" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__msg__browse__t">wiced_bt_avrc_msg_browse_t</ref></type>
        <definition>wiced_bt_avrc_msg_browse_t wiced_bt_avrc_msg_t::browse</definition>
        <argsstring />
        <name>browse</name>
        <briefdescription>
<para>Browsing channel message (opcode AVRC_OP_BROWSE) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="924" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="924" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AVRC message (dependent on message opcode) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="213">
        <label>wiced_bt_avrc_msg_vendor_t</label>
        <link refid="structwiced__bt__avrc__msg__vendor__t" />
        <childnode refid="209" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
      <node id="207">
        <label>wiced_bt_avrc_msg_t</label>
        <link refid="unionwiced__bt__avrc__msg__t" />
        <childnode refid="208" relation="usage">
          <edgelabel>unit</edgelabel>
        </childnode>
        <childnode refid="210" relation="usage">
          <edgelabel>browse</edgelabel>
        </childnode>
        <childnode refid="211" relation="usage">
          <edgelabel>pass</edgelabel>
        </childnode>
        <childnode refid="212" relation="usage">
          <edgelabel>sub</edgelabel>
        </childnode>
        <childnode refid="213" relation="usage">
          <edgelabel>vendor</edgelabel>
        </childnode>
        <childnode refid="209" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
      <node id="210">
        <label>wiced_bt_avrc_msg_browse_t</label>
        <link refid="structwiced__bt__avrc__msg__browse__t" />
        <childnode refid="209" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
      <node id="208">
        <label>wiced_bt_avrc_msg_unit_t</label>
        <link refid="structwiced__bt__avrc__msg__unit__t" />
        <childnode refid="209" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
      <node id="209">
        <label>wiced_bt_avrc_hdr_t</label>
        <link refid="structwiced__bt__avrc__hdr__t" />
      </node>
      <node id="211">
        <label>wiced_bt_avrc_msg_pass_t</label>
        <link refid="structwiced__bt__avrc__msg__pass__t" />
        <childnode refid="209" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
      <node id="212">
        <label>wiced_bt_avrc_msg_sub_t</label>
        <link refid="structwiced__bt__avrc__msg__sub__t" />
        <childnode refid="209" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="925" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="917" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="918" />
    <listofallmembers>
      <member prot="public" refid="unionwiced__bt__avrc__msg__t_1ab3a366b00115394ad99091eee48dd9a2" virt="non-virtual"><scope>wiced_bt_avrc_msg_t</scope><name>browse</name></member>
      <member prot="public" refid="unionwiced__bt__avrc__msg__t_1a03e7f6456d41043549ef1c97f66e0c41" virt="non-virtual"><scope>wiced_bt_avrc_msg_t</scope><name>hdr</name></member>
      <member prot="public" refid="unionwiced__bt__avrc__msg__t_1adb94f8496b6e715f475b2eb7d88e3555" virt="non-virtual"><scope>wiced_bt_avrc_msg_t</scope><name>pass</name></member>
      <member prot="public" refid="unionwiced__bt__avrc__msg__t_1a1c2b7d16cafcc034a330c2abe1045b40" virt="non-virtual"><scope>wiced_bt_avrc_msg_t</scope><name>sub</name></member>
      <member prot="public" refid="unionwiced__bt__avrc__msg__t_1a2b4bf6ede10e0227aa8efa73e81a1500" virt="non-virtual"><scope>wiced_bt_avrc_msg_t</scope><name>unit</name></member>
      <member prot="public" refid="unionwiced__bt__avrc__msg__t_1ac913105f7a514a2153163bd7232f3339" virt="non-virtual"><scope>wiced_bt_avrc_msg_t</scope><name>vendor</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>